Package Details: lightum-git 2.3.1-1

Git Clone URL: https://aur.archlinux.org/lightum-git.git (read-only)
Package Base: lightum-git
Description: Lightum is a daemon to control the keyboard brightness and screen backlight on MacBook based laptops.
Upstream URL: https://github.com/poliva/lightum
Licenses: GPL2
Submitter: kgleason
Maintainer: kgleason
Last Packager: kgleason
Votes: 3
Popularity: 0.000090
First Submitted: 2015-08-23 02:23
Last Updated: 2016-12-22 21:08

Dependencies (0)

Required by (0)

Sources (1)

Latest Comments

kgleason commented on 2016-12-22 21:09

Sorry about that. I'm not using the old mac hardware anymore, so I'm not actively using this pkg. I've made the recommended changes, since it seemed to compile with them on my machine.

libor commented on 2016-12-20 20:59

Here is a correction for both mentioned issues:
- libsystemd instead of libsystemd-login is required
- for gio/gio.h glib2 is needed
- Needed dependencies are added to PKGBUILD: dbus, glib2 and libsystemd libx11 libxext libxss glibc

https://www.maresch.family/PKGBUILD
https://www.maresch.family/lightum-git.diff

Now package compiles fine.

baqtor commented on 2016-08-27 07:39

I'm getting an error installing this package:
fatal error: 'gio/gio.h' file not found

Am I missing any dependency?

pepper_chico commented on 2016-03-04 18:43

This package has a non-declared dependency of libsystemd-login, which conflicts with a systemd installation. Is this really necessary?

Suggestions:

- Correct package dependencies.
- Remove libsystemd-login dependency if possible.